Subject: bug#21278: char-fold isearch: space and newline still broken

From: Augusto Stoffel <[email-masked]>
Date: Fri, 10 Sep 2021 13:56:41 +0200

On Fri, 10 Sep 2021 at 12:57, Lars Ingebrigtsen <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
>>> It seems like everybody agrees that the old value was confusing, so I've
>>> now changed it to [ \t] in Emacs 28.
>>
>> Shouldn't it be [ \t]+ instead?
>
> Oops.  Looks like I'm going for the "most errors in a trivial one-line
> patch" record here...

For the record, search-whitespace-regexp could have more useful values
suggested in customize.  I can think of:

- not too lax: "[ \\t]+"
- match across lines: "[ \\t\\n]+"
- eat punctuation: "\\W+"
- fuzzy: ".*?"